Update Linux compatibility shims/coccis